from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
index_backups = pc.list_backups(index_name="docs-example")
print(index_backups)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes/docs-example/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Backups
List backups for an index
List all backups for an index.
GET
/
indexes
/
{index_name}
/
backups
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
index_backups = pc.list_backups(index_name="docs-example")
print(index_backups)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes/docs-example/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
index_backups = pc.list_backups(index_name="docs-example")
print(index_backups)
PINECONE_API_KEY="YOUR_API_KEY"
curl "https://api.pinecone.io/indexes/docs-example/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Authorizations
Headers
Required date-based version header
Path Parameters
Name of the backed up index.
Query Parameters
The number of results to return per page.
Required range:
1 <= x <= 100The token to use to retrieve the next page of results.
Response
This operation returns a list of all the backups that you have previously created for the given index.
Was this page helpful?
⌘I